;===============================================================================
; Constants
;===============================================================================
;Header constants
REVISION    = $00 ;revision number used in the header (starts at 0)
SIDE_COUNT  = $01 ;number of disk sides (1, 2 or 4 ...) (used in .fds header)
FILE_COUNT1 = $04 ;total number of non-hidden files on disk side 1
FILE_COUNT2 = $00 ;total number of non-hidden files on disk side 2
FILE_COUNT3 = $00 ;total number of non-hidden files on disk side 3
FILE_COUNT4 = $00 ;total number of non-hidden files on disk side 4

;FDS defines
FDS_CRAM = $0000 ;where CHR-RAM starts in the RAM Adapter
FDS_PRAM = $6000 ;where PRG-RAM starts in the RAM Adapter
FDS_BIOS = $E000 ;where the BIOS resides in the RAM Adapter

;FDS BIOS calls
;Some examples of subroutines in the BIOS that may be called.
FDS_Delay132 = $E149 ;132 clock cycle delay
SpriteDMA = $E9C8 ;does sprite DMA from RAM $0200-$02FF
ReadOrDownVerifyPads = $EA4C ;Advanced controller reading routine
ReadKeyboard = $EB13 ;Read Family Basic Keyboard